# Module yapp_mnesia_server

- Description
- Function Index
- Function Details

Yapp registry implementation that uses mnesia.

Introduced in: 28 May 2006 by Mikael Karlsson <mikael@creado.se>

Behaviours: `gen_server`.

Authors: Mikael Karlsson (`mikael@creado.se`).

See also: yapp_registry.

## Description

Yapp registry implementation that uses mnesia.

This module is selected to be used by the yaws handler by setting the application environment property {yapp_registry_impl, yapp_mnesia_server} in the yapp.app file.

## Function Index

code_change/3 |
handle_call/3 |
handle_cast/2 |
handle_info/2 |
init/1 |
start_link/1 |
terminate/2 |

## Function Details

### code_change/3

`code_change(OldVsn, State, Extra) -> any()`

### handle_call/3

`handle_call(Request, From, State) -> any()`

### handle_cast/2

`handle_cast(Msg, State) -> any()`

### handle_info/2

`handle_info(Info, State) -> any()`

### init/1

`init(X1) -> any()`

### start_link/1

`start_link(Name) -> any()`

### terminate/2

`terminate(Reason, State) -> any()`

Generated by EDoc